Name:           cobertura-maven-plugin
Version:        2.5.2
Release:        3%{?dist}
Summary:        Plugin providing the features of Cobertura within Maven

Group:          Development/Libraries
# the project is under ASL 2.0 license
# javascript files in src/site/resources/sample-maven-shared-io-report/js/
# are under GPLv2 and GPLv2+
License:        ASL 2.0 and GPLv2 and GPLv2+
URL:            http://mojo.codehaus.org/cobertura-maven-plugin/
Source0:        http://repo2.maven.org/maven2/org/codehaus/mojo/%{name}/%{version}/%{name}-%{version}-source-release.zip
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  jpackage-utils
BuildRequires:  maven-plugin-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-invoker-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  gnu-getopt >= 0:1.0.13
BuildRequires:  cobertura
BuildRequires:  mojo-parent

Provides:       maven-plugin-cobertura = %{version}-%{release}
Obsoletes:      maven-plugin-cobertura < 2.5.2-1

%description
This plugin provides the features of Cobertura within the Maven 2 & 3
environment. The report generated by this plugin is the result of executing
the Cobertura tool against your compiled classes to help you determine
how well the unit testing efforts have been, and can then be used to identify
which parts of your Java program are lacking test coverage.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description    javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}
cp %{SOURCE1} LICENSE

# we don't have this extension
%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-webdav-jackrabbit']]"

# remove bundled .class files
find . -name *.class -delete

%build
# tests are disabled because of missing dependencies
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE

%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Mon Mar 25 2013 Michal Srb <msrb@redhat.com> - 2.5.2-3
- Build with xmvn

* Thu Feb 28 2013 Michal Srb <msrb@redhat.com> - 2.5.2-2
- Missing R: jpackage-utils

* Thu Feb 21 2013 Michal Srb - 2.5.2-1
- Package rename (was maven-plugin-cobertura)
- Update to upstream 2.5.2 version
- Spec file clean up
- Add license file

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.5.1-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Tue Aug 21 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.5.1-4
- Don't own _mavenfragdir

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Alexander Kurtakov <akurtako@redhat.com> 2.5.1-1
- Update to upstream 2.5.1 version.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 17 2010 Alexander Kurtakov <akurtako@redhat.com> 2.4-1
- Update to 2.4.
- Adapt to current guidelines.

* Thu Sep 10 2009 Alexander Kurtakov <akurtako@redhat.com> 2.3-3
- Fix license and changelog.
- Add comment for patch.

* Thu Sep 10 2009 Alexander Kurtakov <akurtako@redhat.com> 2.3-2
- Fix Summary.
- Drop maven2-common-poms BR and add versioned BR to gnu-getopt

* Mon Sep  7 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 2.3-1
- Initial release
